Page MenuHomePhabricator

Advanced search form contains <input type="hidden" name="profile" value="advanced"> twice
Closed, ResolvedPublic

Description

Advanced search form contains <input type="hidden" name="profile" value="advanced"> twice. This is harmless, but silly.

https://en.wikipedia.org/w/index.php?title=Special:Search&profile=advanced&fulltext=1&search=Wikipedia

Event Timeline

matmarex created this task.Feb 23 2017, 4:56 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptFeb 23 2017, 4:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Low priority.Mar 2 2017, 11:11 PM
debt moved this task from needs triage to This Quarter on the Discovery-Search board.
debt added a subscriber: debt.

We think this is fairly easy to do. :)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 2 2017, 11:11 PM

This is probably somewhere in MediaWiki\Widget\Search\SearchFormWidget. This should be easier to figure out now since the refactor put this code into a more compact space.

EddieGP claimed this task.Mar 4 2017, 12:32 AM

Change 341104 had a related patch set uploaded (by eddie):
[mediawiki/core] Remove redundant input from search form

https://gerrit.wikimedia.org/r/341104

EddieGP moved this task from Backlog to Done on the good first task board.Mar 4 2017, 12:53 AM

Change 341104 merged by jenkins-bot:
[mediawiki/core] Remove redundant input from search form

https://gerrit.wikimedia.org/r/341104

Florian closed this task as Resolved.Mar 5 2017, 5:45 PM